#ifndef _SRC_SC_CONFIG_H
#define _SRC_SC_CONFIG_H 1

/* C compiler */
#ifndef SC_CC
#define SC_CC "/usr/lib64/openmpi/bin/mpicc"
#endif

/* C compiler flags */
#ifndef SC_CFLAGS
#define SC_CFLAGS "-O2 -flto=auto -ffat-lto-objects -fexceptions -g -grecord-gcc-switches -pipe -Wall -Werror=format-security -Wp,-U_FORTIFY_SOURCE,-D_FORTIFY_SOURCE=3 -Wp,-D_GLIBCXX_ASSERTIONS -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -fstack-protector-strong -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1  -m64  -mtune=generic -fasynchronous-unwind-tables -fstack-clash-protection -fcf-protection -fno-omit-frame-pointer -mno-omit-leaf-frame-pointer "
#endif

/* C preprocessor */
#ifndef SC_CPP
#define SC_CPP "/usr/lib64/openmpi/bin/mpicc -E"
#endif

/* C preprocessor flags */
#ifndef SC_CPPFLAGS
#define SC_CPPFLAGS ""
#endif

/* Define to 1 if we are using threads */
#define SC_ENABLE_PTHREAD 1

/* Define to 1 if we are using debug build type (assertions and extra checks) */
/* #undef SC_ENABLE_DEBUG */

/* Define to 1 if we use aligned malloc (optionally use --enable-memalign=<bytes>) */
#define SC_ENABLE_MEMALIGN 1

/* Define to 1 if we are using MPI */
#define SC_ENABLE_MPI 1

/* Define to 1 if we can use MPI_COMM_TYPE_SHARED */
/* #undef SC_ENABLE_MPICOMMSHARED */

/* Define to 1 if we are using MPI I/O */
#define SC_ENABLE_MPIIO 1

/* Define to 1 if we are using MPI_Init_thread */
#define SC_ENABLE_MPITHREAD 1

/* Define to 1 if we can use MPI_Win_allocate_shared */
#define SC_ENABLE_MPIWINSHARED 1

/* Undefine if: disable non-thread-safe internal debug counters */
#define SC_ENABLE_USE_COUNTERS 1

/* Undefine if: replace array/dmatrix resize with malloc/copy/free */
#define SC_ENABLE_USE_REALLOC 1

/* Define to 1 if we use v4l2 */
#define SC_ENABLE_V4L2 1

/* Define to 1 if `aligned_alloc' is available. */
#define SC_HAVE_ALIGNED_ALLOC 1

/* Define to 1 if `aligned_malloc' is available. */
/* #undef SC_HAVE_ALIGNED_MALLOC */

/* Define to 1 if `backtrace' is available. */
#define SC_HAVE_BACKTRACE 1

/* Define to 1 if `backtrace symbols' is available. */
#define SC_HAVE_BACKTRACE_SYMBOLS 1

/* Define to 1 if you have the <execinfo.h> header file. */
#define SC_HAVE_EXECINFO_H 1

/* Define to 1 if you have the <fcntl.h> header file. */
#define SC_HAVE_FCNTL_H 1

/* Define to 1 if `fsync' is available. */
#define SC_HAVE_FSYNC 1

/* Define to 1 if you have the <inttypes.h> header file. */
#define SC_HAVE_INTTYPES_H 1

/* Define to 1 if jansson library is available. */
#define SC_HAVE_JSON 1

/* Define to 1 if you have the <linux/version.h> header file. */
#define SC_HAVE_LINUX_VERSION_H 1

/* Define to 1 if you have the <linux/videodev2.h> header file. */
#define SC_HAVE_LINUX_VIDEODEV2_H 1

/* Define to 1 if you have the <memory.h> header file. */
#define SC_HAVE_MEMORY_H 1

/* Define to 1 if you have the `posix_memalign' function. */
#define SC_HAVE_POSIX_MEMALIGN 1

/* Define to 1 if you have the `fabs' function. */
#define SC_HAVE_FABS 1

/* Define to 1 if you have the `qsort_r' function. */
#define SC_HAVE_QSORT_R 1

/* Define to 1 if `qsort_r' conforms to the GNU/Linux definition. */
#define SC_HAVE_GNU_QSORT_R 1

/* Define to 1 if `qsort_r' conforms to the BSD definition. */
/* #undef SC_HAVE_BSD_QSORT_R */

/* Define to 1 if you have the <signal.h> header file. */
#define SC_HAVE_SIGNAL_H 1

/* Define to 1 if you have the <stdint.h> header file. */
#define SC_HAVE_STDINT_H 1

/* Define to 1 if you have the <stdlib.h> header file. */
#define SC_HAVE_STDLIB_H 1

/* Define to 1 if you have the <string.h> header file. */
#define SC_HAVE_STRING_H 1

/* Define to 1 if you have the <libgen.h> header file. */
#define SC_HAVE_LIBGEN_H 1

/* Define to 1 if you have the `strtoll' function. */
#define SC_HAVE_STRTOLL 1

/* Define to 1 if you have the <sys/ioctl.h> header file. */
#define SC_HAVE_SYS_IOCTL_H 1

/* Define to 1 if you have the <sys/select.h> header file. */
#define SC_HAVE_SYS_SELECT_H 1

/* Define to 1 if you have the <sys/stat.h> header file. */
#define SC_HAVE_SYS_STAT_H 1

/* Define to 1 if you have the <sys/time.h> header file. */
#define SC_HAVE_SYS_TIME_H 1

/* Define to 1 if you have the <sys/types.h> header file. */
#define SC_HAVE_SYS_TYPES_H 1

/* Define to 1 if you have the <time.h> header file. */
#define SC_HAVE_TIME_H 1

/* Define to 1 if you have the <winsock2.h> header file. */
/* #undef SC_HAVE_WINSOCK2_H */

/* desired alignment of allocations in bytes */
#define SC_MEMALIGN_BYTES (SC_SIZEOF_VOID_P)

/* Define to 1 if you have the <unistd.h> header file. */
#define SC_HAVE_UNISTD_H 1

/* Define to 1 if you have a working zlib installation. */
#define SC_HAVE_ZLIB 1

/* Use builtin getopt */
/* #undef SC_PROVIDE_GETOPT */

/* Linker flags */
#ifndef SC_LDFLAGS
#define SC_LDFLAGS "-Wl,-rpath -Wl,/usr/lib64/openmpi/lib -Wl,--enable-new-dtags"
#endif

/* Libraries */
#ifndef SC_LIBS
#define SC_LIBS "m"
#endif

/* Name of package */
#ifndef SC_PACKAGE
#define SC_PACKAGE "libsc"
#endif

/* Define to the address where bug reports for this package should be sent. */
#ifndef SC_PACKAGE_BUGREPORT
#define SC_PACKAGE_BUGREPORT "p4est@ins.uni-bonn.de"
#endif

/* Define to the full name of this package. */
#ifndef SC_PACKAGE_NAME
#define SC_PACKAGE_NAME "libsc"
#endif

/* Define to the full name and version of this package. */
#ifndef SC_PACKAGE_STRING
#define SC_PACKAGE_STRING "libsc 2.8.5"
#endif

/* Define to the one symbol short name of this package. */
#ifndef SC_PACKAGE_TARNAME
#define SC_PACKAGE_TARNAME "libsc"
#endif

/* Define to the home page for this package. */
#ifndef SC_PACKAGE_URL
#define SC_PACKAGE_URL ""
#endif

/* Define to the version of this package. */
#ifndef SC_PACKAGE_VERSION
#define SC_PACKAGE_VERSION "2.8.5"
#endif

/* Byte sizes of standard types */
#ifndef SC_SIZEOF_INT
#define SC_SIZEOF_INT 4
#endif
#ifndef SC_SIZEOF_UNSIGNED_INT
#define SC_SIZEOF_UNSIGNED_INT 4
#endif
#ifndef SC_SIZEOF_LONG
#define SC_SIZEOF_LONG 8
#endif
#ifndef SC_SIZEOF_LONG_LONG
#define SC_SIZEOF_LONG_LONG 8
#endif
#ifndef SC_SIZEOF_UNSIGNED_LONG
#define SC_SIZEOF_UNSIGNED_LONG 8
#endif
#ifndef SC_SIZEOF_UNSIGNED_LONG_LONG
#define SC_SIZEOF_UNSIGNED_LONG_LONG 8
#endif

/* The size of `void *', as computed by sizeof. */
#ifndef SC_SIZEOF_VOID_P
#define SC_SIZEOF_VOID_P 8
#endif

/* Version number of package */
#ifndef SC_VERSION
#define SC_VERSION "2.8.5"
#endif

/* Package major version */
#ifndef SC_VERSION_MAJOR
#define SC_VERSION_MAJOR 2
#endif

/* Package minor version */
#ifndef SC_VERSION_MINOR
#define SC_VERSION_MINOR 8
#endif

/* Package point version */
#ifndef SC_VERSION_POINT
#define SC_VERSION_POINT 5
#endif

/* once: _SRC_SC_CONFIG_H */
#endif
